#' Spectral data for filters of different 'materials'
#'
#' Names of datasets containing the wavelengths and tabulated values for
#' fractional spectral trabsmittance according to the material they are
#' made off.
#'
#' @docType data
#' @keywords datasets
#' @format A vector of character strings.
#'
#' @aliases materials
#'
#' @examples
#' acrylic
#'
#' # select short-pass filters
#' filters.mspct[acrylic]
#'
#' @seealso \code{\link{filters.mspct}}
#'
"acetate"

#' @rdname acetate
#'
"acrylic"

#' @rdname acetate
#'
"polycarbonate"

#' @rdname acetate
#'
"plexiglas"

#' @rdname acetate
#'
"polystyrene"

#' @rdname acetate
#'
"polyester"

#' @rdname acetate
#'
"polyvynil_chloride"

#' @rdname acetate
#'
"optical_glass"

#' @rdname acetate
#'
"plastic_film"

#' @rdname acetate
#'
"plastic_sheet"

