#' Filter spectra data for Rosco thetrical filters or 'gels'
#'
#' Datasets containing the wavelengths at a 1 nm interval and
#' tabulated values spectral transmittance for different filters.
#' Unused (new).
#'
#' The variables are as follows:
#'
#' \itemize{
#'   \item w.length (nm)
#'   \item Tfr (fraction)
#' }
#'
#' \url{http://www.rosco.com/filters/index.cfm}
#'
#' @note Instrument used: Shimadzu UV-2501 PC (Shimadzu Suzhou Instruments Manufacturing
#' Co. Ltd, China) equiped with an integrating sphere.
#'
#' @note Idependent measurement of a single sample, not a specification.
#'
#' @docType data
#' @keywords datasets
#' @format A vector of character strings.
#'
#' @examples
#' rosco
#'
"rosco"
